Bug 1640118 - chromium-browser: Heap buffer overflow in lcms in PDFium
Summary: chromium-browser: Heap buffer overflow in lcms in PDFium
Keywords:
Status: CLOSED DUPLICATE of bug 1628969
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1640116
TreeView+ depends on / blocked
 
Reported: 2018-10-17 11:33 UTC by Andrej Nemec
Modified: 2019-09-29 15:00 UTC (History)
5 users (show)

Fixed In Version: chromium-browser 70.0.3538.67
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-24 13:13:54 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2018-10-17 11:33:19 UTC
A heap buffer overflow flaw was found in the Little CMS in PDFium component of the Chromium browser.

Upstream bug:

https://crbug.com/872189

External References:

https://chromereleases.googleblog.com/2018/10/stable-channel-update-for-desktop.html

Comment 1 Andrej Nemec 2018-10-17 11:39:19 UTC
Created chromium tracking bugs for this issue:

Affects: epel-7 [bug 1640122]
Affects: fedora-all [bug 1640121]

Comment 3 Tomas Hoger 2018-10-24 13:13:54 UTC
(In reply to Andrej Nemec from comment #0)
> https://crbug.com/872189

The upstream chromium bug is still not public, but using the bug id, the following commit in the chromium repo:

https://chromium.googlesource.com/chromium/src/+/6486b858d8c49db25df193a817b808d4dcea1f75%5E%21/#F0

points us to the pdfium repo, which contains the following commit:

https://pdfium.googlesource.com/pdfium.git/+/81a3c2408a1fb3e3cc4b06d659cce19157ee0a91%5E%21/#F1

which corresponds to the following LittleCMS / lcms upstream commit:

https://github.com/mm2/Little-CMS/commit/768f70ca

making this a duplicate of bug 1628969 / CVE-2018-16435.

*** This bug has been marked as a duplicate of bug 1628969 ***


Note You need to log in before you can comment on or make changes to this bug.